#if !defined(AFX_EXPORTMODELDIALOG_H__58C09836_D8D2_11D3_83A5_00E0811049D9__INCLUDED_)
#define AFX_EXPORTMODELDIALOG_H__58C09836_D8D2_11D3_83A5_00E0811049D9__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#ifndef __STRCLASS_H
#include "StrClass.h"
#endif
#ifndef __MISC_H
#include "Misc.h"
#endif

// ExportModelDialog.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CExportModelDialog dialog

class CExportModelDialog : public CPluginDialog
{
// Construction
public:
   CExportModelDialog(){}   // standard constructor
	CExportModelDialog(const String &filename);

   void FillCombo(int id);

// Dialog Data
   IEModelParms *m_iemp;
   String m_filename;

	//{{AFX_DATA(CExportModelDialog)
	enum { IDD = IDD_EXPORTMODELDIALOG };
	BOOL	m_generatemodelmaps;
	int	m_maxsize;
	int	m_minsize;
	int		m_subtype;
	BOOL	m_expboneinfo;
	BOOL	m_expmatinfo;
	BOOL	m_expnorminfo;
	BOOL	m_exptexinfo;
	BOOL	m_expvdis;
	int		m_exportstyle;
	int		m_modelorientation;
	BOOL	m_alphasopaque;
	BOOL	m_settextowhite;
	BOOL	m_texturesort;
	BOOL	m_ignoreduplicatenormals;
	BOOL	m_expweightinfo;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CExportModelDialog)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CExportModelDialog)
	virtual void OnOK();
	virtual BOOL OnInitDialog();
	afx_msg void OnBrowse();
	afx_msg void OnMaxSize();
	afx_msg void OnMinSize();
	afx_msg void OnGeneratemodelmaps();
	afx_msg void OnExpmatinfo();
	afx_msg void OnSetalphasopaque();
	afx_msg void OnExpnorminfo();
	afx_msg void OnExpvdis();
	afx_msg void OnExptexinfo();
	afx_msg void OnSettextowhite();
	afx_msg void OnTexturesort();
	afx_msg void OnExpboneinfo();
	afx_msg void OnAbout();
	afx_msg void OnIgnoreduplicatenormals();
	afx_msg void OnRadio2();
	afx_msg void OnRadio1();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_EXPORTMODELDIALOG_H__58C09836_D8D2_11D3_83A5_00E0811049D9__INCLUDED_)
