#ifndef __EXPORTCLASSES_H
#define __EXPORTCLASSES_H

class POLYDATA
{
public:
	int vertex[4];		// vertex list
	int RMvertex[4];
	int matlistindex;
};

class VERTEXDATA
{
public:
	BOOL modified;
	float x;			// vertex x coord
	float y;			// vertex y coord
	float z;			// vertex z coord
	float u;			// texture u coord
	float v;			// texture v coord
	float nx;			// normal x coord
	float ny;			// normal y coord
	float nz;			// normal z coord
	int originalvertex; // original vertex number (for duplicates)

};

class DUPEVERT
{
public:
	int bonevertindex;
	int vertindex;
};


class POLYINFO
{
public:
	int modified;
	int material;
};

class MATINFO
{
public:
	float red;
	float green;
	float blue;
	int texture;
	int retaineduse;
};

class MATERIALINFO
{
public:
	float red;
	float green;
	float blue;
	float alpha;
	float specular;
	int texture;
};

class RMPOLYMATINFO
{
public:
	int poly;
	int matnum;
//	int origmatnum;
//	int texmatnum;
};

class NORMALS
{
public:
	float x;
	float y;
	float z;
};

class BONEDATA
{
public:
	char name[256]; // 1024 is am's max, directx seems to handle it; however,
					// IEBone (and all other A:M IE char declarations) seem to
					// use 256 as their max, so we'll use that (it works)
	Matrix44 SkinWeightOffset;
};

class BONEVDILIST
{
public:
    int v; // vertex num
	float w; // vertex weight
};

class FTMDATA
{
public:
	CString bonename;
	Matrix44 matrix;
	int depth;
};

class ANIMDATA
{
public:
	CArray<Matrix44, Matrix44 &>frame;
};

#endif